<!DOCTYPE html>
    <html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <!--=============== BOXICONS ===============-->
        <!--=============== CSS ===============-->
        <link rel="stylesheet" href="assets/css/styles.css">
        <!--=============== Julie CSS ===============-->
        <title>FARMWISE IOT PLATFORM</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="js/mqttws31.js" type="text/javascript"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script src="js/config.js" type="text/javascript"></script>
      <!-- Add the font-awesome stylesheet to the head of your HTML -->
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

      <style>
          .container2 {
          display: flex;
          flex-direction: row;
        }
        #imageContainer{
        height:250px;
        width:350px;
        }
        
              </style>
    </head>
    <body>
        <!--=============== HEADER ===============-->
        <header class="header" id="header">
            <nav class="nav container">
                <a href="#" class="nav__logo">FarmWise</a>

                <div class="nav__menu" id="nav-menu">
                    <ul class="nav__list">
                        <li class="nav__item">
                              <a href="index.html" class="nav__link">
                                <i class='bx bx-home-alt nav__icon'></i>
                                <span class="nav__name">Home</span>
                            </a>
                        </li>
                        
                        <li class="nav__item">
                            <a href="controls.html" class="nav__link">
                                <i class='bx bx-user nav__icon'></i>
                                <span class="nav__name">Controls</span>
                            </a>
                        </li>

                        <li class="nav__item">
                             <a href="predictions.html" class="nav__link">
                                <i class='bx bx-book-alt nav__icon'></i>
                                <span class="nav__name">Predictions</span>
                            </a>
                        </li>

                        <li class="nav__item">
                            <a href="streaming.html" class="nav__link">
                                <i class='bx bx-message-square-detail nav__icon'></i>
                                <span class="nav__name">Streaming</span>
                            </a>
                        </li>
                        <li class="nav__item">
                            <a href="settings.html" class="nav__link">
                                <i class='bx bx-message-square-detail nav__icon'></i>
                                <span class="nav__name">Settings</span>
                            </a>
                        </li>
                    </ul>
                </div>

                <img src="assets/img/perfil.png" alt="" class="nav__img">
            </nav>
        </header>

        <main>
            <!--=============== HOME ===============-->
            <section class="container section section__height" id="home">
	<div class="container2">
            <div id="imageContainer">
        <img id="imagePreview" src="" alt="Image Preview">
    </div>
    <script>
        const imageContainer = document.getElementById('imageContainer');
        const imagePreview = document.getElementById('imagePreview');
        const socket = new WebSocket('ws://localhost:4000'); // Adjust the WebSocket URL accordingly

        socket.binaryType = 'arraybuffer'; // Set binary data type

        socket.addEventListener('open', (event) => {
            console.log('WebSocket connection opened.');
        });

        socket.addEventListener('message', (event) => {
            if (event.data instanceof ArrayBuffer) {
                // Convert ArrayBuffer to Blob
                const blob = new Blob([event.data], { type: 'image/jpeg' }); // Adjust the media type based on your image format
                console.log('Received binary image data.');

                // Set the image source and display the image
                const imageUrl = URL.createObjectURL(blob);
                imagePreview.src = imageUrl;

                // Display the image container
                imageContainer.style.display = 'block';
            }
        });

        socket.addEventListener('close', (event) => {
            console.log('WebSocket connection closed.');
        });

        socket.addEventListener('error', (event) => {
            console.error('WebSocket error:', event);
        });
    </script>
        </div>
        </main>
    </body>
</html>